<template>
  <div id="app">
    <childHealth v-if="activeBook.name == 'childHealth'"></childHealth>
    <book v-if="activeBook.name == 'content'"></book>
    <embedded v-if="activeBook.name == 'embedded'"></embedded>
  </div>
</template>

<script>
import childHealth from "./books/childHealth/view/index.vue";
import book from "./books/content/index.vue";
import embedded from "./books/embedded/view/index.vue";

export default {
  name: "App",
  components: {
    childHealth,
    book,
    embedded,
  },
  data() {
    return {
      activeBook: {},
    };
  },
  async created() {
    this.activeBook = await this.config.getBookConfig();
    console.log('图书',this.activeBook);
    if (this.$store.state.qiankun,this.$store.state.qiankun.getBookConfig) {
      this.$store.state.qiankun.getBookConfig({
        bookConfig: this.activeBook,
      });
    }
  },
};
</script>

<style lang="less">
html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
}
#app {
  width: 100%;
  height: 100%;
}
.highLight {
  border: 1px dashed rgba(255, 255, 255, 0);
  border-radius: 5px;
  padding: 3px;
  cursor: pointer;
}
.highLight:hover {
  border: 1px dashed #949494 !important;
}

.underline {
  border: 1px dashed rgba(255, 255, 255, 0);
  padding: 5px;
  border-radius: 5px;
  text-decoration: underline;
  text-decoration-style: wavy;
  text-underline-thickness: 2px;
  cursor: pointer;
}
.underline:hover {
  border: 1px dashed #949494 !important;
}

.notesline {
  padding-bottom: 2px;
  border-bottom: 2px solid;
}
</style>
